package irc

import (
	. "git.deuxfleurs.fr/Deuxfleurs/easybridge/connector"
)

func init() {
	Register("irc", ConfigSchema{
		&ConfigEntry{
			Name:        "nick",
			Description: "Nickname",
			Required:    true,
		},
		&ConfigEntry{
			Name:        "server",
			Description: "Server",
			Required:    true,
		},
		&ConfigEntry{
			Name:        "port",
			Description: "Port",
			IsNumeric:   true,
			Default:     "6667",
		},
		&ConfigEntry{
			Name:        "ssl",
			Description: "Use SSL",
			IsBoolean:   true,
			Default:     "false",
		},
	})
}
